[WB] Warband Script Enhancer v4.8.1 for 1.174

Currently viewing this thread:

Jesoph

Recruit
WSE Loader by cmpxchg8b, K700, AgentSmith (Build date: Apr 11 2019 21:01:59)
OS version: 6.2.9200 SP 0.0
Command line:
WSE path: C:\Program Files (x86)\Steam\steamapps\common\MountBlade Warband\
Game executable origin: path
Game executable path: C:\Program Files (x86)\Stesteamapps\common\MountBlade Warband\mb_warband.exe
Game executable checksum: E893BA6B
You are running an unsupported version of Warband (WSE only supports version 1.174).
Please update or download the full game from ....

I'm using 1.174, WSE seems goes wrong
 

vietanh797

Sergeant at Arms
Jesoph said:
WSE Loader by cmpxchg8b, K700, AgentSmith (Build date: Apr 11 2019 21:01:59)
OS version: 6.2.9200 SP 0.0
Command line:
WSE path: C:\Program Files (x86)\Steam\steamapps\common\MountBlade Warband\
Game executable origin: path
Game executable path: C:\Program Files (x86)\Stesteamapps\common\MountBlade Warband\mb_warband.exe
Game executable checksum: E893BA6B
You are running an unsupported version of Warband (WSE only supports version 1.174).
Please update or download the full game from ....

I'm using 1.174, WSE seems goes wrong
me too, it refuse to recognize my game version
 

Richard Denfork

Knight at Arms
When I run my server it is shown on the wrong module with random strings for the map name. I've never had this issue in previous versions. I've installed everything the same as before and it compiles. My batch file reads as follows:

WSELoaderServer.exe -p "mb_warband_dedicated.exe" -r Eden_Normal.txt -m Persisent Kingdoms


The only thing I did different was I could not add the process_operations patch as there was nothing to patch. What it says to add does not exist.
 

Madijeis

Sergeant
WBNW
It keeps saying that the version of the game is outdated. I downloaded the exes and put it in the mod folder. Attached is the module folder
 

Attachments

  • Cattura.PNG
    Cattura.PNG
    46.5 KB · Views: 15

Madijeis

Sergeant
WBNW
K700 said:
game folder, not mod folder
All of the files? Even the exes?

EDIT: Downloaded the exes too, put them in the same folder, the game one, but it still says the version is outdated
 
So would this new WSE will allow a player to simply drop a file (or files) into any module directory to add new features to it? Such as in Skyrim where a player can just add a plugin to the mod directory and the plugin will add changes to the game.

I have always been frustrated with M&B modding when I ran into a problem in a mod that I couldn't easily fix because of the module.sys and needing the source code to make any corrections or changes to a mod.

How user friendly would this WSE be for the average user with very little modding or coding experience?

There are mods that I would like to add body-sliding or custom commander features but for me and most people that's impossible.
 

Eärendil Ardamírë

Subforum Moderator
WBWF&SM&B
TrevorDemented said:
So would this new WSE will allow a player to simply drop a file (or files) into any module directory to add new features to it? Such as in Skyrim where a player can just add a plugin to the mod directory and the plugin will add changes to the game.

I have always been frustrated with M&B modding when I ran into a problem in a mod that I couldn't easily fix because of the module.sys and needing the source code to make any corrections or changes to a mod.

How user friendly would this WSE be for the average user with very little modding or coding experience?

There are mods that I would like to add body-sliding or custom commander features but for me and most people that's impossible.
I doubt that WSE is user friendly at all for the average user with very little modding or coding experience ^^
It won't allow players the simple drop of files like you are used it from Skyrim, there is still coding work needed.
 
I'm trying to install wse server side for a pw mod, however the process_operations have been radically changed into smth that is very different from the original (with classes). How do I apply the patch with this?
 
I'm using lua and getting very strange responses
for example
local guid = game.player_get_unique_id(0, player) would return on the console "Illegal lvalue in statement" even though the same statement works in another server side mod i made in nw.. what is going on here? (the mod im working on is pw based)
In fact.. every single operation that returns a number will have this response on the console
on te other hand in NW where I use the EXACT same version of WSE V4.70, it would store player's guid in "guid"
 

RLTYProds

Recruit
Hiya! Does the new version not have an entry in the Log anymore whenever it starts up? I installed it properly, too. I extracted WSE to the main directory, just like how I installed its older versions.
 

Brosiedon

Recruit
Uninstalled Steam version, downloaded vanilla .exe from Taleworlds site. I downloaded the most recent version of WSE, but when I run it, keeps saying I have the wrong version of Warband installed. I've extracted the WSE files into the root folder, modules folder, and from a desktop folder, no change. What do?
 

Attachments

  • help.PNG
    help.PNG
    981.5 KB · Views: 7

Nightsorrow

Recruit
Hi all, so i have installed floris evolved mod and used new WSE and exe files, the mod is working fine, i did have some probles with it at first but i have managed to sort it out. Now i have a problem when i am trying to set CO-OP multiplayer. Every time i try to set it up, its giving me error on line 55 unable to coppy charater. So all of my hero caracters come out naked.
I dont know what i need to do here or how to fix it. Any idea?
 
Top Bottom